## db4.0 4.0.14-1.4sdk1

=== debian/changelog ===
db4.0 (4.0.14-1.4sdk1) unstable; urgency=low

  * Removed file build_win32/dllmain.c 

 -- Maemo Integration <integration@maemo.org>  Tue, 18 Oct 2005 14:48:37 +0300

db4.0 (4.0.14-1.4) unstable; urgency=low

  * NMU during BSP
  * fixed nasty problems with newer autoconf that could lead to mixing pic and
    non-pic code. Closes: #240638.
  * added pthread as build-dependency. Closes: #223140.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 18 Apr 2004 12:54:12 +0200

db4.0 (4.0.14-1.3) unstable; urgency=low

  * NMU.
  * Update the autoconf script to work with libtool 1.5.  Closes: #202811.

 -- Daniel Schepler <schepler@debian.org>  Sun, 14 Sep 2003 02:30:31 -0700

db4.0 (4.0.14-1.2) unstable; urgency=low

  * NMU
  * Update libtool for mips/mipsel support.  Closes: #186430.

 -- Daniel Schepler <schepler@debian.org>  Thu, 27 Mar 2003 15:06:30 -0800

db4.0 (4.0.14-1.1) unstable; urgency=low

  * NMU
  * Fix build so it doesn't require libdb1.
    Closes: #159100, #160129, #166620.
  * Apply patch to allow db_recover to recover a wedged db_env.
    Closes: #155661.
  * Don't require procps on hurd-i386.  Closes: #157076, #162458.
  * g++-3.2 transition.

 -- Daniel Schepler <schepler@debian.org>  Sun, 16 Mar 2003 03:10:20 -0800

db4.0 (4.0.14-1) unstable; urgency=low

  * Initial release; packaging copied mainly from db3 3.2.9-14
  * --with-uniquename enabled

 -- Matthew Wilcox <willy@debian.org>  Sun, 21 Apr 2002 15:11:23 -0600
