=== debian/control ===
Source: db4.0
Section: libs
Priority: optional
Maintainer: Matthew Wilcox <willy@debian.org>
Build-Depends: debhelper (>= 2.1.26), tcl8.3-dev, autoconf (>= 2.57), automake, libtool (>= 1.5), binutils (>= 2.11.90.0.7-1), procps [!hurd-i386]
Standards-Version: 3.5.6.0

Package: libdb4.0-util
Section: utils
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: Berkeley v4.0 Database Utilities
 Tools for manipulating databases in DB 4.0 format.

Package: libdb4.0
Section: libs
Conflicts: libdb2 (<< 2:2.7.7-3)
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}
Description: Berkeley v4.0 Database Libraries [runtime]
 This is the runtime package for programs that use the Berkeley v4.0
 database library.

Package: libdb4.0-dev
Section: devel
Priority: extra
Conflicts: libdb2-dev, libdb1-dev, libdb-dev, libdb3-dev
Provides: libdb-dev
Depends: libdb4.0 (= ${Source-Version})
Suggests: db4.0-doc
Architecture: any
Description: Berkeley v4.0 Database Libraries [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v4.0 database library.

Package: db4.0-doc
Section: doc
Priority: extra
Architecture: all
Description: Berkeley v4.0 Database Documentation [html]
 Complete documentation for all of the API's and utilities provided by
 version 4.0 of Berkeley DB.

Package: libdb4.0++c102
Section: libs
Priority: optional
Conflicts: libdb2++ (<< 2:2.7.7-3), libdb4.0++
Architecture: any
Depends: ${shlibs:Depends}
Description: Berkeley v4.0 Database Libraries for C++ [runtime]
 This is the runtime package for programs that use the Berkeley v4.0
 database library.  This is only for programs which use the C++ interface.

Package: libdb4.0++-dev
Section: devel
Priority: extra
Conflicts: libdb2++-dev, libdb++-dev, libdb3++-dev
Provides: libdb++-dev
Architecture: any
Depends: libdb4.0++c102 (= ${Source-Version}), libdb4.0-dev (= ${Source-Version})
Description: Berkeley v4.0 Database Libraries for C++ [development]
 This is the development package which contains headers and static
 libraries for the Berkeley v4.0 database library.  This is only for
 programs which will use the C++ interface.

Package: libdb4.0-tcl
Section: interpreters
Priority: extra
Conflicts: libdb3-tcl
Architecture: any
Depends: ${shlibs:Depends}
Description: Berkeley v4.0 Database Libraries for TCL [module]
 This package provides a TCL module suitable for accessing Berkeley v4.0
 databases from within TCL programs.
